Subject: Re: bug#52943: Cannot build guix as part of guix system reconfigure after commit 224d437fb4 on aarch64

From: Vagrant Cascadian <[email-masked]>
Date: Wed, 19 Jan 2022 11:28:28 -0800

On 2022-01-17, Vagrant Cascadian wrote:
> On 2022-01-17, Pierre Langlois wrote:
>> Chris Marusich <[email-masked]> writes:
>>> Chris Marusich <[email-masked]> writes:
>
>>>> If nobody has further comments, I will commit the attached version to
>>>> master in about 24 hours.
>>>
>>> I've committed this in 24c3485bb3ffc05e687ef6513ac287b8d3048bab.  We
>>> still need to update the "guix" package, so even if you run "guix pull"
>>> right now, you won't be able to successfully build "guix" after pulling
>>> on aarch64-linux yet.
>>>
>>> I will coordinate with the other people who are helping to make the
>>> 1.4.0 release to ensure that this fix makes it into the 1.4.0 release.
>>> See this guix-devel email thread for details:
>>>
>>>   https://lists.gnu.org/archive/html/guix-devel/2022-01/msg00296.html
>>
>> That's awesome, thank you!
>
> FWIW, I can also confirm that updating the "guix" package to a version
> that contains 24c3485bb3ffc05e687ef6513ac287b8d3048bab allows the "guix"
> package (which contains the fairly important "guix-daemon"), to build
> again. Thanks for getting it that far!
>
> Haven't been able to upgrade my aarch64 systems without local patches
> for over a month now... glad to see a fix is *almost* ready!
>
> Is there anything in particular holding back upating the guix package
> (other than the huge amount of big merges in progress, release
> preparation, etc. and etc.)?

I went ahead and pushed to master:

  f758ede583ef9662963873750206540f58ff3c45 gnu: guix: update to 1.3.0-22.24c3485.

I tried building a newer version, but there were new test suite failures
on both aarch64 and x86_64 :/

Happy aarch64ing!

live well,
  vagrant